Subject: RE: Is mac learning on AC side required or optional or forbiddenforVPWS?

From: "Ali Sajassi \(sajassi\)" <[email-masked]>
Date: Wed, 11 Jan 2006 21:52:49 -0800

Marc,
 
I don't want to be too picky here but the we should not confuse the
terminologies that are clearly defined in the l2vpn drafts/charters. If
anything, the functionality that you are talking about falls under
degenerate case of VPLS (e.g., VPLS with two sites), rather than calling
it VPWS with additional functionality.
 
-Ali 

________________________________

	From: [email-masked] [mailto:[email-masked]] On
Behalf Of Marc Lasserre
	Sent: Wednesday, January 11, 2006 2:08 AM
	To: Fengger; [email-masked]
	Subject: Re: Is mac learning on AC side required or optional or
forbiddenforVPWS?

	Fengger,
	 
	VPWS is defined as a p2p service and hence no learning is
required. This point is clearly specified in both the l2vpn charter and
RFC4026. Not being a requirement does not prevent specific
implementations from supporting add'l capabilities such as the ability
to learn MACs when multiple ports are mapped to a VPWS.
	 
	Marc

		----- Original Message ----- 
		From: Fengger <mailto:[email-masked]>  
		To: [email-masked] 
		Sent: Wednesday, January 11, 2006 2:37 AM
		Subject: Is mac learning on AC side required or optional
or forbidden forVPWS?

		WG,

		For VPLS, the draft has explicitly specified that mac
learning/bridging must be supported on AC side.

		But it doesn't how to do for VPWS on the AC side.

		I have read some vendor's implementation document, whose
understandings are different.

		Some of them treat VPWS as absolute P2P connection, on
each PE, one PW only corresponds to one port or

		Only corresponds one vlan on one port. So there is no
learning/bridging on the AC side.

		But some of them understand it differently, on each PE,
there are more than one ports can map to one PW or

		One vlan which includes more than one customer-facing
ports can map to one PW. In this case, learning/bridging on AC side

		Is necessary.

		So, I think the requirement for VPWS should explicitly
outline this point. Should specify if learning/bridging for VPWS on the
AC side is required

		, optional or forbidden.

		Thanks and BR

		Fengger